Package be.ehealth.technicalconnector.handler

# Class HarFileHandler

java.lang.Object
be.ehealth.technicalconnector.handler.AbstractSOAPHandler
be.ehealth.technicalconnector.handler.HarFileHandler

All Implemented Interfaces:
  `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`, `jakarta.xml.ws.handler.soap.SOAPHandler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`

public class HarFileHandler extends AbstractSOAPHandler
This class generates a HTTP Archive 1.2 file (as specified http://www.softwareishard.com/blog/har-12-spec/ )

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HarFileHandler()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `handleFault(jakarta.xml.ws.handler.soap.SOAPMessageContext ctx)`
  `boolean`
  `handleInbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)`
  Method that is called in the inbound flow.
  `boolean`
  `handleOutbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)`
  Method that is called in the outbound flow.

  ### Methods inherited from class be.ehealth.technicalconnector.handler.AbstractSOAPHandler

  `close, dumpMessage, getHeaders, handleMessage`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### HarFileHandler

    public HarFileHandler()

- ## Method Details

  - ### handleFault

    public boolean handleFault(jakarta.xml.ws.handler.soap.SOAPMessageContext ctx)
    Specified by:
      `handleFault` in interface `jakarta.xml.ws.handler.Handler<jakarta.xml.ws.handler.soap.SOAPMessageContext>`
    Overrides:
      `handleFault` in class `AbstractSOAPHandler`

  - ### handleInbound

    public boolean handleInbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)
    Description copied from class: `AbstractSOAPHandler`
    Method that is called in the inbound flow.
    Overrides:
      `handleInbound` in class `AbstractSOAPHandler`

  - ### handleOutbound

    public boolean handleOutbound(jakarta.xml.ws.handler.soap.SOAPMessageContext context)
    Description copied from class: `AbstractSOAPHandler`
    Method that is called in the outbound flow.
    Overrides:
      `handleOutbound` in class `AbstractSOAPHandler`